Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)
POSTElastic Bare Metal Management(Plus)Since 4.0.0SynchronousAuth Required

AddBareMetal2Gateway

AddBareMetal2Gateway

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • usernameStringRequired

      The username of the gateway.

    • passwordStringRequired

      The password of the gateway.

    • sshPortint

      Optional. The SSH port of the gateway.

    • nameStringRequired

      The name of the gateway.

    • descriptionString

      Optional. The detailed description of the gateway.

    • managementIpStringRequired

      The IP address of the management node.

    • clusterUuidStringRequired

      The cluster UUID.

    • resourceUuidString

      Optional. The UUID of the gateway.

    • tagUuidsList

      Optional. The tag UUIDs.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryBareMetal2ChassisOfferingInventoryRequired

    See inventory.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The name of the gateway.

    • uuidStringRequired

      The UUID of the gateway.

    • clusterUuidStringRequired

      The cluster UUID.

    • descriptionStringRequired

      The detailed description of the gateway.

    • managementIpStringRequired

      管理IP。

    • hypervisorTypeStringRequired

      No description provided.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • totalCpuCapacityLongRequired

      总CPU容量。

    • availableCpuCapacityLongRequired

      可用CPU容量。

    • totalMemoryCapacityLongRequired

      总内存容量。

    • availableMemoryCapacityLongRequired

      可用内存容量。

    • createDateTimestampRequired

      The time when the gateway was added.

    • lastOpDateTimestampRequired

      The time when the gateway was last modified.

Endpoint

POST/zstack/v1/baremetal2/gateways

/zstack/v1/baremetal2/gateways

Operation ID

AddBareMetal2Gateway

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/baremetal2/gateways' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"username":"<username>","password":"<password>","sshPort":1,"name":"<name>","description":"<description>","managementIp":"<managementIp>","clusterUuid":"<clusterUuid>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "zoneUuid": "24b761ab09f7349684387fdf822aaee7", "name": "example", "uuid": "f893fe1c941939738a0ec271880d8e53", "clusterUuid": "4191157f33ab34d0a55b8e30444a1367", "description": "example", "managementIp": "192.168.0.1", "hypervisorType": "KVM", "state": "Enabled", "status": "Connected", "totalCpuCapacity": 4.0, "availableCpuCapacity": 2.0, "totalMemoryCapacity": 4.0, "availableMemoryCapacity": 4.0 } }

Change History

This API has no change history records yet.

View all change history